Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class DirectoryFileFilter

    java.lang.Object
      com.sun.interview.DirectoryFileFilter

All Implemented Interfaces:
  FileFilter

    public class DirectoryFileFilter

extends java.lang.Object
implements FileFilter

A filter which accepts directories.

Constructor Summary
`DirectoryFileFilter(java.lang.String description)` Create a filter which accepts directories.

Method Summary
`boolean` | `accept(java.io.File f)` Check if a file is accepted by this filter.
`boolean` | `acceptsDirectories()` Check if (all) directories are accepted by this filter.
`java.lang.String` | `getDescription()` Get a short description for this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryFileFilter

    public DirectoryFileFilter(java.lang.String description)

  Create a filter which accepts directories.

  Parameters:
    `description` - A short string describing the filter.

Method Detail

### accept

    public boolean accept(java.io.File f)

  Description copied from interface: `FileFilter`
  Check if a file is accepted by this filter.

  Specified by:
    `accept` in interface `FileFilter`
  Parameters:
    `f` - The file to be tested.
  Returns:
    true if the file is accepted by this filter

### acceptsDirectories

    public boolean acceptsDirectories()

  Description copied from interface: `FileFilter`
  Check if (all) directories are accepted by this filter.

  Specified by:
    `acceptsDirectories` in interface `FileFilter`
  Returns:
    true if directories are accepted by this filter

### getDescription

    public java.lang.String getDescription()

  Get a short description for this filter.

  Specified by:
    `getDescription` in interface `FileFilter`
  Returns:
    a short description of this filter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.